String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************++++
function fxAddPro(){
	var ref_kod=gv("REF_KOD");
	var tca=gv("TipCam");
	var pro_nom=gv("ProNom");
	var pro_ctn=gv("ProCtn");
	var pro_set=gv("ProSet");
	var pro_pre=gv("ProPre");
	//+++++++
	if(jVal(ref_kod)==0){
		alert("No se puede determinar el ID del registro activo");
		return;
	}
	if(jVac(tca,"Ingrese el tipo de cambio","TipCam"))return;
	if(jVal(tca)<=0){
		return AF("Tipo de cambio no valido","TipCam");
	}
	if(jVac(pro_nom,"Ingrese 'Product Name'","ProNom"))return;
	if(jVac(pro_ctn,"Ingrese 'Ctns'","ProCtn"))return;
	if(jVac(pro_ctn,"Ingrese 'Set/U'","ProSet"))return;
	if(jVac(pro_pre,"Ingrese 'Unit Price (Usd)'","ProPre"))return;
	SM("ADD_PROD");
	
}
//**************************************************************************
function fxAddCosto(){
	var con=gv("Con");
	var tot=gv("ConTot");
	var mnd=gv("ConMon");
	var tca=gv("TipCam");
	if(jVal(tca)==0){
		return AF("Determine el tipo de cambio","TipCam");
	}
	if(jL(con)==0){
		return AF("Seleccione un concepto de costo","Con");
	}
	if(jVal(tot)<0){
		return AF("Ingrese un total para el costo","ConTot");
	}
	if(jL(mnd)==0){
		return AF("Seleccione una moneda","ConMon");
	}
	//
	var htm=document.getElementById("TabCostos").innerHTML.toUpperCase();
	if(htm.includes(con)){
		return AF("Concepto de costo ya agregado","Con");
	}
	//
	SM("ADD_COSTO");
}
//
function fxKillPro(id){
	sv("TXT_KIL",id);
	SM("KILL_PROD");
}
//
function fxKillCos(id){
	sv("TXT_KIL",id);
	SM("KILL_COS");
}
//
function fxEdiCos(id){
	var ref_kod=gv("REF_KOD");
	var tcam=gv("TipCam");
	if(jVal(ref_kod)<=0){
		alert("No se puede determinar el ID del registro activo");
		return ;
	}
	if(jVal(tcam)<=0){
		return AF("No se puede determinar el valor del tipo de cambio","TipCam");
	}
	Ow("ges_costeo_ec.php?KEY="+id+"&TCA="+tcam+"&REF="+ref_kod,610,210);
}
//
function fxEdiPro(id){
	var ref_kod=gv("REF_KOD");
	var tcam=gv("TipCam");
	if(jVal(ref_kod)<=0){
		alert("No se puede determinar el ID del registro activo");
		return ;
	}
	if(jVal(tcam)<=0){
		return AF("No se puede determinar el valor del tipo de cambio","TipCam");
	}
	var fac=gv("SYS_FACTOR");
	Ow("ges_costeo_ep.php?KEY="+id+"&FAC="+fac+"&REF="+ref_kod,610,210);
}
function fCancelarPHP(){
	SM("L");
}
//
function fGuardar(){
	var kod=gv("REF_KOD");
	var ser=gv("ProSer");
	var num=gv("ProNro");
	//
	if(jVal(kod)==0){
		if(jL(ser)==0){
			alert("Seleccione una factura");
			return;
		}
		if(confirm("¿Esta seguro que desea guardar?")){
			
			SM("G");
		}
	}else{
		if(confirm("¿Esta seguro que desea modificar?")){
			SM("M");
		}
	}
}
//
function fLEliminar(){
	if(confirm("Esta seguro que desea eliminar?")){
		SM("E");
	}
}
//
function TipCamOk(valor) {
    return /^[1-9]\d*(\.\d+)?$/.test(valor);
}
//
function fxTipCam(){
	var tcam=gv("TipCam");
	var ret=prompt("Ingrese el tipo de cambio",tcam);
	if(jL(ret)==0){
		alert("Ingrese un valor");
		return;
	}
	if(TipCamOk(ret)){
		sv("TipCam",ret);
		SM("SET_TCAM");
	}else{
		alert("Valor no permitido");
	}
}
//
function fxPorUti(){
	var tcam=gv("PorUti");
	var ret=prompt("Ingrese el porcentaje del margen de utilidad",tcam);
	if(jL(ret)==0){
		alert("Ingrese un valor");
		return;
	}
	if(TipCamOk(ret)){
		sv("PorUti",ret);
		SM("SET_POR_UTI");
	}else{
		alert("Valor no permitido");
	}
}
//
function fxComExp(){
	var tcam=gv("ComExp");
	var ret=prompt("Ingrese el porcentaje de comision de exportacion",tcam);
	if(jL(ret)==0){
		alert("Ingrese un valor");
		return;
	}
	if(TipCamOk(ret)){
		sv("ComExp",ret);
		SM("SET_COM_EXP");
	}else{
		alert("Valor no permitido");
	}
}